Bug 26462 - Mono 3.12.0 mod_mono not working on apache 2.2
Summary: Mono 3.12.0 mod_mono not working on apache 2.2
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-27 11:32 UTC by dex3r.dx
Modified: 2018-04-05 19:45 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description dex3r.dx 2015-01-27 11:32:10 UTC
With mono 3.12.0 and running apache 2.2 with mod_mono server cannot be started:
service apache2 restart
apache2: Syntax error on line 244 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/mod_mono.load: Cannot load /usr/lib/apache2/modules/mod_mono.so into server: /usr/lib/apache2/modules/mod_mono.so: undefined symbol: ap_unixd_config
Action 'configtest' failed.
The Apache error log may have more information.
 failed!

Probably mod_mono was build against apache 2.4, not last stable version 2.2, which changed unixd_config to ap_unixd_config.

Any workaround except isntalling old mono version or apache 2.4?
Comment 1 dex3r.dx 2015-01-30 07:42:15 UTC
This happened after updating mono to 3.12.0
Comment 2 Ludovic Henry 2018-02-28 23:40:49 UTC
Can you still reproduce with latest version of Mono? If so, please provide a test case so that we can try to reproduce locally. Thank you.
Comment 3 Ludovic Henry 2018-04-05 19:45:12 UTC
Please reopen if you can still reproduce. Thank you